package probe

import (
	"github.com/shirou/gopsutil/v3/net"
)

func (p *Probe) GetNetworkCounterAll() []net.IOCountersStat {
	stats, _ := net.IOCounters(true)
	return stats
}

func (p *Probe) GetNetworkCounterOne(name string) net.IOCountersStat {
	stats, _ := net.IOCounters(true)
	for _, stat := range stats {
		if stat.Name == name {
			return stat
		}
	}

	return net.IOCountersStat{}
}
