package client

import "time"

type Config struct {
	CenterServer   string        `json:"centerServer,omitempty"`
	HostName       string        `json:"hostName,omitempty"`
	InstanceId     string        `json:"instanceId,omitempty"`
	ReportInterval time.Duration `json:"reportInterval,omitempty"`
}

type Client struct {
	config Config
}

func NetClient(config Config) *Client {
	return &Client{
		config: config,
	}
}
